<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="UTF-8" />
	<meta name="viewport"
		content="width=device-width, initial-scale=1, shrink-to-fit=no" />
	<title>Architecture Ref. Card 03</title>
	<link rel="stylesheet"
		href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
		crossorigin="anonymous" />
	<style>
		.color1 { background-color: #355C7D; }
		.color2 { background-color: #6C5B7B; }
		.color3 { background-color: #C06C84; }
		.color4 { background-color: #F67280; }
		body { background-color: #355C7D; color: aliceblue; font-family: sans-serif }
		.jokes { background-color: #6dc770; padding: 20px; border-radius: 10px; margin-top: 10px}
		img {
			animation: shake 1s;
			animation-iteration-count: infinite;
		}
		@keyframes shake {
			0% { transform: translate(1px, 1px) rotate(0deg); }
			10% { transform: translate(-1px, -2px) rotate(-1deg); }
			20% { transform: translate(-3px, 0px) rotate(1deg); }
			30% { transform: translate(3px, 2px) rotate(0deg); }
			40% { transform: translate(1px, -1px) rotate(1deg); }
			50% { transform: translate(-1px, 2px) rotate(-1deg); }
			60% { transform: translate(-3px, 1px) rotate(0deg); }
			70% { transform: translate(3px, 1px) rotate(-1deg); }
			80% { transform: translate(-1px, -1px) rotate(1deg); }
			90% { transform: translate(1px, 2px) rotate(0deg); }
			100% { transform: translate(1px, -2px) rotate(-1deg); }
		}
	</style>
</head>
<body>
	<div class="container">
		<div class="row">

			<div class="col-md-6">
				<h1>Architecture Ref. Card 03</h1>
				<small>Spring Application with JPA/Database (MariaDB)</small>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="list-group">
					<div th:each="joke : ${jokelist}">

						<div
							class="jokes list-group-item list-group-item-action flex-column align-items-start">
							<div class="d-flex w-100 justify-content-between">
								<h5 class="mb-1" th:text="${'Witz ' + joke.id}"></h5>
								<small th:text="${'Rating: ' + joke.rating}"></small>
							</div>
							<p class="mb-1" th:text="${joke.text}"></p>
							<small th:text="${joke.creationDate}"></small>,
							<small th:text="${joke.getSection().getName()}"></small>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-md-12">
				<div style="text-align: center">
					<img src="database.png" style="width:60px"/>
				</div>
			</div>
		</div>
	</div>




	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
		integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
		crossorigin="anonymous"></script>

</body>
</html>
